%Matrix_PP

clc
clear all

Matrix = zeros(50,50,50); %The dimension of the accelerator pedal position, the initial speed and the final speed
for i = 2 : 2 : 100 %The accelerator pedal position
    load(['Sim_' num2str(i) '.mat']) %To charge the file created in the previous step with the file "Tables_APP" and "car_"
    v = ans.Data(:,2)*3.6; %To read the data of the speed in km/h
    time = ans.Time; %To read the data of the time
    Matrix(i/2,1,1) = nan;
    for ii = 1 : 50 % Startspeed
        start = find(v>=ii*5-5.001); %To find the value of initial speed
        if isempty(start)
            break
        else
            start = start(1); %The initial speed which is saved
            for iii = 2 : 50 %Endspeed
                ende = find(v>=iii*5-5); %To find the value of end speed
                if isempty(ende)
                    break
                else
                    ende = ende(1); %The final speed which is saved
                    Matrix(i/2,ii,iii) = ((v(ende)-v(start))/3.6)/(time(ende)-time(start)); %The Matrix where are kept the values of acceleration
                end
            end
        end
    end
end

M_x = Matrix;

for i = 1: 50 %To eliminate de nan position and to put zero instead nan, to simulink can read it
    A = squeeze(Matrix(i,:,:));
    A(find(isnan(A)==1)) = 0;
    A(find(A==0)) = i-51;
    Matrix(i,:,:) = A;
end

vector_accel = [0:0.1:10]; %The vector of acceleration in m/s2

for i = 1 : 50
    for ii = 1 : 50
        if i == ii
            
        else
            Matrix_pp(:,i,ii) = interp1(Matrix(1:end,i,ii),[2 : 2 : 100],vector_accel,'cubic'); %The Matrix where are kept the values of accelerator pedal position to an initial speed, a final speed and a determine acceleration, and which is read for the n-D Lookup Table in the file "car"
        end
    end
end