%SIMULINK TABLES %To create the tables to different accelerator pedal position and to different maximum limit of the rotational velocity (rpm) in the gearbox, where are the time, the speed and the acceleration

rotationalvelocity = [1500 : 100 : 3900]; %The maximum limit of the rotational velocity (rpm) in the gearbox take values from 1500 rpm to 3900 rpm, 100 by 100

slopethrottle = [0.1 : 0.1 : 1]; %The accelerator pedal position take values from 10% to 100%, 10 by 10, here is from 0.1 to 1

for k = 1 : length(rotationalvelocity) 
    rotational = rotationalvelocity (k); %To call the sub block into the simulink file, which represents maximum limit of the rotational velocity (rpm) in the gearbox
  for i = 1 : length(slopethrottle)
        throttle = slopethrottle(i); %To call the sub block into the simulink file, which represents the accelerator pedal position
        sim('car_rpm_') %The Matlab file called "car_rpm_", which simulate the car
        movefile('Sim.mat',['Sim_' num2str(rotationalvelocity(k)) '_' num2str(slopethrottle(i)*100) '.mat']) %To keep the tables
  end
end